# Interface AbstractDialog

All Known Implementing Classes:
  `Dialog, InteractionDialog, Progress`

public interface AbstractDialog
Shared dialog contract for `Dialog` and `InteractionDialog`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addComponent(java.lang.Object constraints, Component cmp)`
  Adds a component to the dialog using layout constraints.
  `void`
  `configureCommands(Command[] cmds, boolean commandsAsButtons)`
  Configures commands for the dialog UI.
  `void`
  `dispose()`
  Disposes the dialog.
  `void`
  `setDefaultCommand(Command defaultCommand)`
  Sets the default command when supported.
  `void`
  `setDialogType(int dialogType)`
  Sets a dialog sound type (e.g. `Dialog#TYPE_INFO`).
  `void`
  `setScrollable(boolean scrollable)`
  Sets whether dialog content should be scrollable.
  `void`
  `setTimeout(long timeout)`
  Sets timeout in milliseconds after which dialog should close.
  `void`
  `setTransitions(Transition transition)`
  Sets in/out transition for dialogs that support transitions.
  `Command`
  `showDialog()`
  Shows the dialog and returns the selected command if applicable.

- ## Method Details

  - ### addComponent

    void addComponent(java.lang.Object constraints, Component cmp)
    Adds a component to the dialog using layout constraints.

  - ### setScrollable

    void setScrollable(boolean scrollable)
    Sets whether dialog content should be scrollable.

  - ### setDialogType

    void setDialogType(int dialogType)
    Sets a dialog sound type (e.g. `Dialog#TYPE_INFO`).

  - ### setTransitions

    void setTransitions(Transition transition)
    Sets in/out transition for dialogs that support transitions.

  - ### configureCommands

    void configureCommands(Command[] cmds, boolean commandsAsButtons)
    Configures commands for the dialog UI.

  - ### setDefaultCommand

    void setDefaultCommand(Command defaultCommand)
    Sets the default command when supported.

  - ### setTimeout

    void setTimeout(long timeout)
    Sets timeout in milliseconds after which dialog should close.

  - ### dispose

    void dispose()
    Disposes the dialog.

  - ### showDialog

    Command showDialog()
    Shows the dialog and returns the selected command if applicable.